CIF_DIFF(1)

NAME
cif_diff - parse two CIF files and compare their content

SYNOPSIS
cif_diff --options input1.cif input2.cif

DESCRIPTION
Parse two CIF files and compare their content

OPTIONS
-t, --tags
                  Whitespace- or comma-separated list of tags to compare.
                  When present, only tags enumerated with this option are
                  compared.

-a, --add-tag
                  Add a tag to the list of compared tags.

-c, --clear-tags
                  Clear the list of compared tags.

-f, --file-with-tags
                  Specify a file with tags to be compared.

--compare-all-tags
                  Compare all tags present in the compared files (default).

--no-compare, --exclude
                  Whitespace- or comma-separated list of tags not to compare.
                  When present, enumerated tags will be excluded from the
                  comparison.

--compare-datablock-names

--dont-compare-datablock-names
                  Also compare the names of CIF data blocks. Default: on.

--compare-numeric _cell_length_a
                  Force numeric comparison for given tag.

--compare-string _cell_length_a
                  Force string comparison for given tag.

--ignore-empty-values
                  Ignore tags with empty values.

--no-ignore-empty-values

--dont-ignore-empty-values
                  Take tags with empty values into comparison (default).

--no-left
                  Do not print tags present in the left file only.
                  Similar to 'comm -1'.

--no-right
                  Do not print tags present in the right file only.
                  Similar to 'comm -2'.

--no-common
                  Do not print tags with the same values in both files.

--folding-width 72
                  Specify the length of the longest unfolded line.

--fold-long-fields

--dont-fold-long-fields
                  Fold fields, longer than folding width. Default: on.

-L, -u
                  Ignored options. Used to make this script usable
                  as --diff-cmd for 'svn diff'.

--use-perl-parser
                  Use Perl parser to parse CIF files.

--use-c-parser
                  Use C parser to parse CIF files (default).

--help, --usage
                  Output a short usage message (this message) and exit.

--version
                  Output version information and exit.

REPORTING BUGS
Report cif_diff bugs using e-mail: cod-bugs@ibt.lt